//
//  TaskEditingView.swift
//  TaskList
//
//  Created by Daniel Price on 11/4/19.
//  Copyright © 2019 Twice as Tall Integration. All rights reserved.
//

import SwiftUI

struct TaskEditingView: View {
  @Binding var task: Task
  var body: some View {
    Form {
      TextField ("Name", text: $task.name)
      Toggle("Completed", isOn: $task.completed)
    }
  }
}

struct TaskEditingView_Previews: PreviewProvider {
  static var previews: some View {
    TaskEditingView (
      task: .constant(Task(name:"To Do"))
    )
  }
}
